/*
   crt0.c

   startup code for gnu c openvms/alpha with newlib

   This is for openVMS with EGCS 1.1 (based on GNU C 2.8)

   Copyright  by Klaus Kmpf (kkaempf@rmi.de) 1998

   Redistribution and use in source and binary forms, with or without
   modification, are permitted provided that: (1) source code distributions
   retain the above copyright notice and this paragraph in its entirety, (2)
   distributions including binary code include the above copyright notice and
   this paragraph in its entirety in the documentation or other materials
   provided with the distribution, and (3) all advertising materials mentioning
   features or use of this software display the following acknowledgement:
   ``This product includes software developed by Klaus Kmpf, Nrnberg,
   Germany.''
   THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
   WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
   MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


   proposed code layout

   get command line
   parse command line
   expand argc/argv
   connect stdin(0), stdout(1), stderr(2)
   init heap (sbrk)
   init envp
   C++: call static constructors
   main (argc, argv, envp)
   C++: call static destructors
   free envp
   free heap
   close stderr(2), stdout(1), stdin(0)
   free argv
   return

*/


int
__main (void)
{
  /*  get command line  */
  /*  parse command line  */
  /*  expand argc/argv  */
  /*  connect stdin(0), stdout(1), stderr(2)  */
  /*  init heap (sbrk)  */
  /*  init envp  */
  /*  C++: call static constructors  */
  /*  main (argc, argv, envp)  */
  /*  C++: call static destructors  */
  /*  free envp  */
  /*  free heap  */
  /*  close stderr(2), stdout(1), stdin(0)  */
  /*  free argv  */
  /*  return  */
}

/* EOF */
